Skip to main content
GET
List Crawl progress runs

Authorizations

Authorization
string
header
required

OAuth Bearer access tokens or Flow API keys with the required Flow scope families for the route.

Query Parameters

team_id
string<uuid>

Optional team scope when the authenticated context is not already team-pinned.

binding_id
string<uuid>

Owner or subscriber knowledge source binding. Subscriber ids resolve to the crawl-owner run.

provider
string

Knowledge crawler provider key filter.

run_kind
enum<string>

Logical-run kind filter.

Available options:
initial_sync,
incremental_sync,
acl_refresh,
reindex,
reconcile
lane
enum<string>

Content versus access control list (ACL) lane filter.

Available options:
content,
acl
status
enum<string>

Logical-run status filter.

Available options:
running,
cancel_requested,
completed,
degraded,
failed,
canceled
wall_started_after
string<date-time>

Inclusive lower bound on logical-run wall_started_at. Disables latest_per_lane unless that flag is set.

wall_started_before
string<date-time>

Inclusive upper bound on logical-run wall_started_at. Disables latest_per_lane unless that flag is set.

latest_per_lane
enum<string>

When true, return the latest content and latest access control list (ACL) run per authorized identity. Defaults to true unless a time range is set.

Available options:
true,
false
limit
string

Maximum resources to return.

Pattern: ^[0-9]+$
cursor
string

Opaque cursor for the next page of retained crawl-progress runs.

Response

Authorized knowledge crawl-progress runs.

data
object[]
required
page
object
required
meta
object
required